:root {
  --color-primary: #3882f6;
  --color-primary-dark: #1f2937;
  --color-primary-light: #e5e7eb;
  --color-white: #f9faf8;

  --header-hight: 5rem;
  --l-border-radius: 8px;

  --text-h1: 4.8rem;
  --text-p: 1.8rem;
  --text-logo: 2.4rem;

  /* --b-mobile: 425px;
  --b-tablet: 768px;
  --b-laptop: 1024px;
  --b-laptop-l: 1440px;
  --b-desktop: 1920px;
  --b-desktop-4k: 2560px; */
}

html {
  font-size: 62.5%;
}

body {
  margin: 0;
  padding: 0;
  background-color: #fff;
  font-family: "Roboto", sans-serif;
}

/* LAYOUT */
.l-padding-main {
  padding: 8rem 10rem;
}

.l-background {
  background-color: var(--color-primary-dark);
}

.l-background-light {
  background-color: var(--color-primary-light);
}

.l-margin-right {
  margin-right: 10rem;
}

@media only screen and (max-width: 768px) {
  .l-padding-main {
    padding: 8rem 2rem;
  }

  .l-margin-right {
    margin-right: 0rem;
  }
}
/* HEADER */
.header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: var(--header-hight);
  padding: 2rem 10rem;
}

@media only screen and (max-width: 768px) {
  .header {
    padding: 2rem;
  }
}

.nav-links {
  list-style: none;
  display: flex;
}

.nav-links > li:not(last-child) {
  margin-left: 1.8rem;
}

.nav-links a {
  color: var(--color-primary-light);
  text-decoration: none;
}

.nav-links a:hover {
  color: var(--color-white);
}

/* LOGO */
.logo {
  font-size: var(--text-logo);
  color: var(--color-white);
}

/* HERO */
.hero {
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-info {
  margin-right: 4.8rem;
}

.hero-heading {
  font-size: 4.8rem;
  font-weight: bolder;
  color: var(--color-white);
  margin-bottom: 0;
}

.hero-text {
  font-size: 1.8rem;
  color: var(--color-primary-light);
  margin-top: 0;
}

.hero-image {
  width: 50rem;
}

@media only screen and (max-width: 768px) {
  .hero {
    flex-direction: column;
  }
  .hero-info {
    margin-right: 0;
  }
  .hero-image {
    width: 100%;
    margin-top: 5rem;
  }
}

/* BUTTON */
.btn {
  background-color: var(--color-primary);
  color: var(--color-white);
  padding: 4px 24px;
  border: 1px solid var(--color-primary);
  border-radius: var(--l-border-radius);
  transition: all 0.2s;
  font-weight: bolder;
  font-size: 1.8rem;
}

.btn:hover {
  background-color: var(--color-white);
  color: var(--color-primary);
  cursor: pointer;
}

.btn[data-button="reverse"] {
  color: var(--color-white);
  border-color: var(--color-white);
}

.btn[data-button="reverse"]:hover {
  background-color: var(--color-white);
  color: var(--color-primary);
  cursor: pointer;
}

/* INFO */
.info {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.info-header {
  font-size: 3.6rem;
  font-weight: bolder;
  color: var(--color-primary-dark);
  text-align: center;
}

.info-container {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-around;
}

.info-box {
  width: 15rem;
  margin: 2rem;
}

.info-box-container {
  height: 15rem;
  border: 0.5em solid var(--color-primary);
  border-radius: 2rem;
}

.info-box-text {
  color: var(--color-primary-dark);
  font-size: 1.8rem;
  font-weight: lighter;
  text-align: center;
  margin-top: 1.5rem;
}

/* TESTIMONIAL */

.testimonial {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.testimonial-quote {
  font-size: 3.6rem;
  font-weight: lighter;
  font-style: italic;
  color: var(--color-primary-dark);
}

.testimonial-author {
  align-self: flex-end;
  font-size: 2.4rem;
  margin-top: 2rem;
  font-weight: bold;
}

/* CALL TO ACTION */

.call {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--color-white);
  font-size: 1.8rem;
}

.call-container {
  background-color: var(--color-primary);
  border-radius: var(--l-border-radius);
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
  padding: 5rem 8rem;
  margin: 10rem;
}

.call-heading {
  font-weight: bold;
}

@media only screen and (max-width: 600px) {
  .call-container {
    width: 100%;
    border-radius: 0;
    margin: 0;
  }
}

/* FOOTER */
.footer {
  color: var(--color-white);
  padding: 3rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.8rem;
}
